#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fstream.h>
//#include <libc.h>

#define TRUE 1
#define FALSE 0

extern int CLlex();
extern char **targv;
extern char **arglim;
extern char *commandline;

extern int compile_type;

void fatal(char *s, char *s2 = "")
{
  cerr << s << " : " << s2 << '\n';
  exit(1);
}

main(int argc, char *argv[]) 
{
  if (argc > 2) 
	{
	  int c;
	  while (--argc > 0 && (*++argv) [0] == '-')
		while (c = *++argv[0])
		  switch (c) {
		  case 'x':
			compile_type = 0;
			//cout << "generating excutable" << endl;
			break;
			
		  case 'l':
			compile_type = 1;
			//cout << "generating shared library" << endl;
			break;
			
		  default:
			cout << "coko: illegal option " << (char) c << endl;
			argc = 0;
			exit(1);
	    };
	  targv = argv;
	  arglim = argv + 1;
	  CLlex();
	}
  else
	{
	  compile_type = 2;
	  targv = argv + 1;
	  arglim = argv + argc;
	  CLlex();
	}

  return 0;
}

